Subject: bug#46990: 28.0.50; popup menu not navigable via arrow keys on lucid build

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 21 Jun 2022 12:16:44 +0200

Eli Zaretskii <[email-masked]> writes:

> I think it's better to have a variable that people who need to debug
> this code could set.

I've now introduced a variable for this -- lucid--menu-grab-keyboard.

Po Lu <[email-masked]> writes:

> If the keyboard is grabbed, typing anything into another window becomes
> impossible, which is not pleasant if you need to debug the Lucid menu
> bar.
>
> Jan's email bounces, but I would trust his judgement.

It sounds convenient indeed, but ease of debugging shouldn't take
precedence over something actually working for users.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no